%define languageenglazy Assamese
%define languagecode    as
%define lc_ctype        as_IN

Name:           hunspell-%{languagecode}
Version:        1.0.3
Release:        %mkrel 10
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+ or LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/project/Dict
Source0:        http://extensions.services.openoffice.org/files/2318/4/%{lc_ctype}.oxt

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-as
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
#There is no Assamese myspell dictionary
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_as_IN.txt COPYING COPYING.MPL COPYING.GPL COPYING.LGPL
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-10.mga4
+ Revision: 505613
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-9.mga3
+ Revision: 353380
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.0.3-8.mga3
+ Revision: 325149
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 1.0.3-7.mga2
+ Revision: 224556
- add requirement on locales (mga#4632)

* Sun Jan 15 2012 kamil <kamil> 1.0.3-6.mga2
+ Revision: 196594
- drop requirement on locales
- hunspell is now suggested

* Mon Jan 09 2012 kamil <kamil> 1.0.3-5.mga2
+ Revision: 194097
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype}
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype}
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 1.0.3-4.mga1
+ Revision: 68648
- imported package hunspell-as


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 29 2009 Parag <pnemade@redhat.com> - 1.0.3-2
- Fix source issue in cvs

* Tue Apr 28 2009 Caolan McNamara <caolanm@redhat.com> - 1.0.3-1
- initial version
